#!/bin/sh

# check the devices with "v4l2-ctl -list-devices"
VID_DEVICE_1=`v4l2-ctl --list-devices | grep -C1 csi1 | grep video | cut -c 2-`
VID_DEVICE_2=`v4l2-ctl --list-devices | grep -C1 csi2 | grep video | cut -c 2-`

echo ""
echo " camera device @CAM1 = $VID_DEVICE_1"
echo " camera device @CAM2 = $VID_DEVICE_2"

echo ""
echo " starting gstreamer with two BAYER Sources ..."
echo " read CAM1 from MIPI-CSI-2_CSI1 and CAM2 from MIPI-CSI-2_CSI2 with 640 x 480"
echo " write side by side to 1280x480 Pixel and write framebuffer"
echo " ============================================================================================"
echo ""
echo " configure camera with v4l2_control"
echo " =================================="

v4l2-ctl -d $VID_DEVICE_1 --set-fmt-video=pixelformat=GRBG,width=640,height=480
v4l2-ctl -d $VID_DEVICE_1 --set-selection=target=crop,left=0,top=4,width=640,height=480

v4l2-ctl -d $VID_DEVICE_2 --set-fmt-video=pixelformat=GRBG,width=640,height=480
v4l2-ctl -d $VID_DEVICE_2 --set-selection=target=crop,left=0,top=4,width=640,height=480

echo ""
echo " start gstreamer, break with ctl-C"
echo " ================================="

gst-launch-1.0 videomixer name=mix sink_0::xpos=0 sink_0::ypos=0 sink_1::xpos=636 sink_1::ypos=0 ! fbdevsink sync=false \
	v4l2src device=$VID_DEVICE_1 ! \
	video/x-bayer,format=grbg,depth=8,width=640,height=480,framerate=30/1 ! bayer2rgbneon ! videocrop top=0 left=0 right=2 bottom=4 ! mix. \
	v4l2src device=$VID_DEVICE_2 ! \
	video/x-bayer,format=grbg,depth=8,width=640,height=480,framerate=30/1 ! bayer2rgbneon ! videocrop top=0 left=0 right=2 bottom=4 ! mix.

#gst-launch-1.0 \
#	v4l2src device=$VID_DEVICE_1 ! \
#	video/x-bayer,format=grbg,depth=8,width=640,height=480 ! \
#	bayer2rgbneon ! \
#	fbdevsink sync=true

#gst-launch-1.0 \
#	v4l2src device=$VID_DEVICE_2 ! \
#	video/x-bayer,format=grbg,depth=8,width=640,height=480 ! \
#	bayer2rgbneon ! \
#	fbdevsink sync=true
