#!/bin/sh
. `dirname $0`/../func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param


echo "select resolution"
echo "================="
echo "1 = 2592 x 1944 Full"
echo "2 = 2048 x 1536 QXGA, with ROI"
echo "3 = 1600 x 1200 UXGA, with ROI"
echo "4 = 1280 x 1024 SXGA, with ROI"
echo "5 = 1024 x 768  XGA, with Skip2 and ROI"
echo "6 = 800  x 600  SVGA, with Skip2 and ROI"
echo "7 = 640  x 480  VGA, with Skip4 and ROI"
echo "8 = 1920 x 1080 FullHD, with ROI"
echo "9 = 1280 x 720  HD, with Skip2 and ROI"
read RESOLUTION
echo "Your select = $RESOLUTION"
case $RESOLUTION in
  "1") SENSOR_RES="width=2592,height=1944"; FRAME_SIZE="width=2592,height=1944"; OFFSET_SENSOR="left=0,top=0"; SCALE_SIZE=",width=1440,height=1080"; CTLS=(-c column_binning=0); KMS_SYNC="false" ;;
  "2") SENSOR_RES="width=2048,height=1536"; FRAME_SIZE="width=2048,height=1536"; OFFSET_SENSOR="left=272,top=204"; SCALE_SIZE=",width=1440,height=1080"; CTLS=(-c column_binning=0); KMS_SYNC="true" ;;
  "3") SENSOR_RES="width=1600,height=1200"; FRAME_SIZE="width=1600,height=1200"; OFFSET_SENSOR="left=496,top=372"; SCALE_SIZE=",width=1440,height=1080"; CTLS=(-c column_binning=0); KMS_SYNC="true" ;;
  "4") SENSOR_RES="width=1280,height=1024"; FRAME_SIZE="width=1280,height=1024"; OFFSET_SENSOR="left=656,top=460"; SCALE_SIZE=",width=1280,height=1024"; CTLS=(-c column_binning=0); KMS_SYNC="true" ;;
  "5") SENSOR_RES="width=2048,height=1536"; FRAME_SIZE="width=1024,height=768"; OFFSET_SENSOR="left=272,top=204"; SCALE_SIZE=",width=1024,height=768"; CTLS=(-c column_binning=1); KMS_SYNC="true" ;;
  "6") SENSOR_RES="width=1600,height=1200"; FRAME_SIZE="width=800,height=600"; OFFSET_SENSOR="left=496,top=372"; SCALE_SIZE=",width=800,height=600"; CTLS=(-c column_binning=1); KMS_SYNC="true"  ;;
  "7") SENSOR_RES="width=2560,height=1920"; FRAME_SIZE="width=640,height=480"; OFFSET_SENSOR="left=16,top=12"; SCALE_SIZE=",width=640,height=480"; CTLS=(-c column_binning=0); KMS_SYNC="true"  ;;
  "8") SENSOR_RES="width=1920,height=1080"; FRAME_SIZE="width=1920,height=1080"; OFFSET_SENSOR="left=336,top=432"; SCALE_SIZE=",width=1920,height=1080"; CTLS=(-c column_binning=1); KMS_SYNC="true"  ;;
  "9") SENSOR_RES="width=2592,height=1944"; FRAME_SIZE="width=1280,height=720"; OFFSET_SENSOR="left=20,top=4"; SCALE_SIZE=",width=1280,height=720"; CTLS=(-c column_binning=0); KMS_SYNC="true"  ;;
esac

#GLOBAL SCALE_SIZE for Display lower 1920x1080
#SCALE_SIZE=",width=1280,height=1024"
#SCALE_SIZE=",width=800,height=600"

echo " starting gstreamer with $CAM_BW_FMT Source ..."
echo " read $FRAME_SIZE (offset x,y=$OFFSET_SENSOR) and write to framebuffer"
echo " =============================================================="
echo ""
echo " configure camera with v4l2_control"
echo " =================================="

v4l2-ctl -d $VID_DEVICE --set-fmt-video=pixelformat=$CAM_BW_FMT,$SENSOR_RES
v4l2-ctl -d $VID_DEVICE --set-selection=target=crop,$OFFSET_SENSOR,$SENSOR_RES
v4l2-ctl "${CTLS[@]}" -d "$VID_DEVICE"

$V4L2_CTRL_CAM1_BW

echo ""
echo " start gstreamer, break with ctl-C"
echo " ================================="

gst-launch-1.0 \
	v4l2src device=$VID_DEVICE ! \
	video/x-raw,format=GRAY8,depth=8,$FRAME_SIZE ! \
	videoscale ! \
	video/x-raw$SCALE_SIZE ! \
	queue ! videoconvert ! \
	queue ! fbdevsink sync=false
#	kmssink driver-name="imx-drm" force-modesetting=false sync=$KMS_SYNC


CTLS=(-c column_binning=0)
v4l2-ctl "${CTLS[@]}" -d "$VID_DEVICE"